package com.bib.essensbestellungsverwaltung;

/**
 * An Allergy, used by Food and AllergySeverity, not intended to be changed
 * @author Malte Schulze Hobeling
 */
public class Allergy {
    private final long id;
    private final String name;
    private final String handle;

    public Allergy(long id, String name, String handle) {
        this.id = id;
        this.name = name;
        this.handle = handle;
    }

    public long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getHandle() {
        return handle;
    }
}
